QGIS Application - Bug report #19737
map_layers variable does not return layer names
2018-08-30 04:27 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 27562
Description

Select a map item in the layout

Scroll to the variables frame in the item properties and check the map_layers variable; it shows [<map_layer>, <map_layer>,&...]". I'd
have expected to see layer names instead. Checking this variable in the expression dialog of a property of the map item also displays the
same output (at the bottom of the dialog)

History

#1 - 2018-08-30 10:49 PM - Nyall Dawson

Those are layer values though, not strings

#2 - 2018-08-31 03:01 PM - Harrissou Santanna

Ah, right. Not sure what would then be the "fix". Should we close this?

#3 - 2018-08-31 10:38 PM - Nyall Dawson
- Status changed from Open to Closed

| think so.

#4 - 2018-09-02 04:54 PM - Giovanni Manghi
- Resolution set to invalid
